function [obj,gradObj,hessianObj] = GELObjective(lambda,fHat)
% objective function of GEL-GMM according to Kitamura & Stutzer (1997)

[L,T] = size(fHat);

%if length(lambda) ~= L
%    error('Dimensions of inputs are not compatible.')
%end

temp = exp(lambda'*fHat);
obj = sum(temp)/T;

% Compute gradient of objective function

if nargout > 1
    temp2 = bsxfun(@times,temp,fHat);
    gradObj = sum(temp2,2)/T;
end

% Compute hessian of objective function

if nargout > 2
    hessianObj = (temp2*fHat')/T;
end

end

