% plot results of GMM estimation
% load simulation results before running, as below
%load RunGMM_040315
%load run10000

close all
% Change default axes fonts
%set(0,'DefaultAxesFontName', 'Times New Roman')
set(0,'DefaultAxesFontSize', 14)

% Change default text fonts
%set(0,'DefaultTextFontname', 'Times New Roman')
set(0,'DefaultTextFontSize', 14)
set(0,'DefaultLineLineWidth',2)

if T>200
    PE_ub = 0.05; % upper bound of pricing error
    %PE_ub = 0.03; % for unc model
    gam_ub = 20; % upper bound of RRA
else PE_ub = 0.06;
    gam_ub = 30;
end

% standard GMM with true asset returns
figure(1)
plot(results_std(4,:),results_std(1,:),'.')
xlabel('Pricing Error')
xlim([0 PE_ub])
ylabel('RRA Estimate')
ylim([0 gam_ub])

figure(2)
histogram(results_std(4,:));
xlabel('Pricing Error')
xlim([0 PE_ub])
ylabel('Frequency')

% age cohort GMM with true asset returns
figure(3)
plot(results_age(4,:),results_age(1,:),'.')
xlabel('Pricing Error')
xlim([0 PE_ub])
ylabel('RRA Estimate')
ylim([0 gam_ub])

figure(4)
histogram(results_age(4,:));
xlabel('Pricing Error')
xlim([0 PE_ub])
ylabel('Frequency')

% representative-agent GMM with true asset returns
figure(5)
plot(results_RA(4,:),results_RA(1,:),'.')
xlabel('Pricing Error')
%xlim([0 1e-3])
xlim([0 PE_ub])
ylabel('RRA Estimate')
ylim([0 gam_ub])

figure(6)
histogram(results_RA(4,:));
%xlim([0 1e-3])
xlim([0 PE_ub])
xlabel('Pricing Error')
ylabel('Frequency')

% standard GMM with false asset returns
figure(7)
plot(results_stdF(4,:),results_stdF(1,:),'.')
xlabel('Pricing Error')
xlim([0 PE_ub])
ylabel('RRA Estimate')
ylim([0 gam_ub])

figure(8)
histogram(results_stdF(4,:));
xlabel('Pricing Error')
xlim([0 PE_ub])
ylabel('Frequency')

% age cohort GMM with false asset returns
figure(9)
plot(results_ageF(4,:),results_ageF(1,:),'.')
xlabel('Pricing Error')
xlim([0 PE_ub])
ylabel('RRA Estimate')
ylim([0 gam_ub])

figure(10)
histogram(results_ageF(4,:));
xlabel('Pricing Error')
xlim([0 PE_ub])
ylabel('Frequency')

% representative-agent GMM with false asset returns
figure(11)
plot(results_RAF(4,:),results_RAF(1,:),'.')
xlabel('Pricing Error')
xlim([0 PE_ub])
ylabel('RRA Estimate')

figure(12)
histogram(results_RAF(4,:));
xlabel('Pricing Error')
xlim([0 PE_ub])
ylabel('Frequency')