% plot results of GMM estimation in Online Appendix

close all
% Change default axes fonts
%set(0,'DefaultAxesFontName', 'Times New Roman')
set(0,'DefaultAxesFontSize', 14)

% Change default text fonts
%set(0,'DefaultTextFontname', 'Times New Roman')
set(0,'DefaultTextFontSize', 14)
set(0,'DefaultLineLineWidth',2)

load runM10000T500_EI
PE_std_ei = results_std(4,:);
PE_stdF_ei = results_stdF(4,:);

load runM10000T500cond
PE_std_cond = results_std(4,:);
PE_stdF_cond = results_stdF(4,:);

load runM10000T500unc
PE_std_unc = results_std(4,:);
PE_age_unc = results_age(4,:);
PE_stdF_unc = results_stdF(4,:);
PE_ageF_unc = results_ageF(4,:);

if T>200
    PE_ub = 0.05; % upper bound of pricing error
    %PE_ub = 0.03; % for unc model
    gam_ub = 20; % upper bound of RRA
else PE_ub = 0.06;
    gam_ub = 30;
end

nbins = 20;
y_ub = 3000;

% GMM with true asset returns

% exactly identified
figure(1)
histogram(PE_std_ei,nbins);
xlabel('Pricing Error')
xlim([0 PE_ub])
ylabel('Frequency')
ylim([0 y_ub])

% conditional
figure(2)
histogram(PE_std_cond,nbins);
xlabel('Pricing Error')
xlim([0 PE_ub])
ylabel('Frequency')
ylim([0 y_ub])

% unconditional
figure(3)
histogram(PE_std_unc,nbins);
xlabel('Pricing Error')
xlim([0 PE_ub])
ylabel('Frequency')
ylim([0 y_ub])

% age cohort
figure(4)
histogram(PE_age_unc,nbins);
xlabel('Pricing Error')
xlim([0 PE_ub])
ylabel('Frequency')
ylim([0 y_ub])


% GMM with false asset returns

% exactly identified
figure(5)
histogram(PE_stdF_ei,nbins);
xlabel('Pricing Error')
xlim([0 PE_ub])
ylabel('Frequency')
ylim([0 y_ub])

% conditional
figure(6)
histogram(PE_stdF_cond,nbins);
xlabel('Pricing Error')
xlim([0 PE_ub])
ylabel('Frequency')
ylim([0 y_ub])

% unconditional
figure(7)
histogram(PE_stdF_unc,nbins);
xlabel('Pricing Error')
xlim([0 PE_ub])
ylabel('Frequency')
ylim([0 y_ub])

% age cohort
figure(8)
histogram(PE_ageF_unc,nbins);
xlabel('Pricing Error')
xlim([0 PE_ub])
ylabel('Frequency')
ylim([0 y_ub])