function Out = AL_pdf(x,mu,alpha,beta)
% PDF of the asymmetric Laplace distribution with mode m and exponent
% alpha, beta
% If beta omitted, it gives symmetric Laplace
a=alpha;
if nargin==3
    b=alpha;
else
    b=beta;
end
if a<=0||b<=0
    Out=NaN*x;
else Out=(a*b)/(a+b)*(exp(-a*abs(x-mu)).*(x>=mu)...
    +exp(-b*abs(x-mu)).*(x<mu));
end; end

