function Out = NL_pdf(x,param)
% PDF of the normal-Laplace distribution defined by
% Laplace distribution with shape parameters alpha, beta and
% N(mu,sigma), where param=[mu,sigma,alpha,beta]
mu=param(1);
sigma=param(2);
alpha=param(3);
sym=4-length(param);
if sym==0
    beta=param(4);
else beta=alpha;
end
if (sigma<0)||(alpha<=0)||(beta<=0);
    Out=NaN;
elseif sigma==0;
    Out=AL_pdf(x,mu,alpha,beta);
else
    temp1=exp(alpha^2*sigma^2/2-alpha*(x-mu))...
        .*normcdf((x-mu)/sigma-alpha*sigma);
    temp2=exp(beta^2*sigma^2/2+beta*(x-mu))...
        .*normcdf(-(x-mu)/sigma-beta*sigma);
    Out=(alpha*beta)/(alpha+beta)*(temp1+temp2);
end
end

